<?php 

require_once "mainModel.php";

class cosechadorModelo extends mainModel{
	/*--------- modelo registrar cosecha -------*/
	protected static function registrar_cosecha_modelo($datos){
		$sql=mainModel::conectar()->prepare("exec sp_insertar_general @general_fecha=:Fecha, @general_hora=:Hora, @general_lote=:Lote, @general_turno=:Turno, @general_variedad=:Variedad,@general_horario=:Horario,@general_dni_jefe_grupo=:DNI_Jefe_Grupo,@general_dato_jefe_grupo=:Dato_Jefe_Grupo,@general_dni_jefe_cuadrilla=:DNI_Jefe_Cuadrilla,@general_dato_jefe_cuadrilla=:Dato_Jefe_Cuadrilla,@general_dni_cosechador=:DNI_Cosechador,@general_dato_cosechador=:Dato_Cosechador,@general_kg_exportable=:KG_Exportable,@general_kg_descarte=:KG_Descarte");

		$sql->bindParam(":Fecha",$datos['Fecha']);
		$sql->bindParam(":Hora",$datos['Hora']);
		$sql->bindParam(":Lote",$datos['Lote']);
		$sql->bindParam(":Turno",$datos['Turno']);
		$sql->bindParam(":Variedad",$datos['Variedad']);
		$sql->bindParam(":Horario",$datos['Horario']);
		$sql->bindParam(":DNI_Jefe_Grupo",$datos['DNI_Jefe_Grupo']);
		$sql->bindParam(":Dato_Jefe_Grupo",$datos['Dato_Jefe_Grupo']);
		$sql->bindParam(":DNI_Jefe_Cuadrilla",$datos['DNI_Jefe_Cuadrilla']);
		$sql->bindParam(":Dato_Jefe_Cuadrilla",$datos['Dato_Jefe_Cuadrilla']);
		$sql->bindParam(":DNI_Cosechador",$datos['DNI_Cosechador']);
		$sql->bindParam(":Dato_Cosechador",$datos['Dato_Cosechador']);
		$sql->bindParam(":KG_Exportable",$datos['KG_Exportable']);
		$sql->bindParam(":KG_Descarte",$datos['KG_Descarte']);

		$sql->execute();

		return $sql;
	}

	/*--------- modelo listar KG cosechador -------*/
	protected static function listar_kg_cosechador_modelo($datos){
		$sql=mainModel::conectar()->prepare("exec sp_buscar_cosechador @general_dni_cosechador=:Cosechador_dni,@general_fecha=:Cosechador_fecha");

		$sql->bindParam(":Cosechador_dni",$datos['Cosechador_dni']);
		$sql->bindParam(":Cosechador_fecha",$datos['Cosechador_fecha']);	

		$sql->execute();

		// Obtener los resultados
		$resultado = $sql->fetchAll();

		return $resultado;
	}
}