<style type="text/css">
    html {
        height: 100%;
    }

    .wrapper {
        width: 100%;
        height: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .file-upload {
        height: 200px;
        width: 200px;
        border-radius: 100px;
        position: relative;
        display: flex;
        justify-content: center;
        align-items: center;
        border: 4px solid #FFFFFF;
        overflow: hidden;
        background-image: linear-gradient(to bottom, #2590EB 50%, #FFFFFF 50%);
        background-size: 100% 200%;
        transition: all 1s;
        color: #FFFFFF;
        font-size: 100px;
    }

    .file-upload input[type='file'] {
        height: 200px;
        width: 200px;
        position: absolute;
        top: 0;
        left: 0;
        opacity: 0;
        cursor: pointer;
    }

    .file-upload:hover {
        background-position: 0 -100%;
        color: #2590EB;
    }

    .file-name {
        margin-top: 20px;
        font-size: 18px;
        color: #333;
    }


.loader {
  width: 48px;
  height: 48px;
  position: relative;
}
.loader::before , .loader::after{
  content: '';
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50% , -50%);
  width: 48em;
  height: 48em;
  background-image:
    radial-gradient(circle 10px, #27e801 100%, transparent 0),
    radial-gradient(circle 10px, #27e801 100%, transparent 0),
    radial-gradient(circle 10px, #27e801 100%, transparent 0),
    radial-gradient(circle 10px, #27e801 100%, transparent 0),
    radial-gradient(circle 10px, #27e801 100%, transparent 0),
    radial-gradient(circle 10px, #27e801 100%, transparent 0),
    radial-gradient(circle 10px, #27e801 100%, transparent 0),
    radial-gradient(circle 10px, #27e801 100%, transparent 0);
  background-position: 0em -18em, 0em 18em, 18em 0em, -18em 0em,
                       13em -13em, -13em -13em, 13em 13em, -13em 13em;
    background-repeat: no-repeat;
  font-size: 0.5px;
  border-radius: 50%;
  animation: blast 1s ease-in infinite;
}
.loader::after {
  font-size: 1px;
  background: #27e801;
  animation: bounce 1s ease-in infinite;
}

@keyframes bounce {
  0% , 100%{ font-size: 0.75px }
  50% { font-size: 1.5px }
}
@keyframes blast {
  0% , 40% {
    font-size: 0.5px;
  }
  70% {
    opacity: 1;
    font-size: 4px;
  }
   100% {
     font-size: 6px;
    opacity: 0;
  }
}
</style>



<div class="card card-style">
    <div class="content">
        <div class="col-12 text-center">
            <div class="wrapper">
                <div class="file-upload">
                    <input type="file" id="txt_archivo" class="inputfile" />
                    <i class="fa fa-arrow-up"></i>

                    <!-- Loader para  mostrar cuando carag los datos de excel hacia  BD -->
                    <div id="lodader_excel_data">
                         <span class="loader"></span>
                    </div>
                </div> 
            </div>
            <span id="file-name" class="file-name">No hay archivo seleccionado</span>
        </div>

        <div class="divider"></div>
        <div class="col-12 text-center">
            <button type="button" id="btn_procesar" class="btn btn-block btn btn-success btn-m text-uppercase font-700 rounded-s shadow-xl">PROCESAR</button>
        </div>
         
    </div>
</div>

<?php include_once "./vistas/contenidos/js/cosechadorRegistro.php"; ?>

<script src="https://unpkg.com/xlsx@0.16.3/dist/xlsx.full.min.js"></script>







        


    








