<?php 

if($peticionAjax){
	require_once "../modelos/homeModelo.php";
}else{
	require_once "./modelos/homeModelo.php";
}

class homeControlador extends homeModelo{
	/*--------- controlador registrar geenral  -------*/
	public function registrar_general_controlador(){
		$fecha = mainModel::limpiar_cadena($_POST['general_fecha_reg']);
		$hora = mainModel::limpiar_cadena($_POST['general_hora_reg']);
		$lote = mainModel::limpiar_cadena($_POST['general_lote_reg']);
		$turno = mainModel::limpiar_cadena($_POST['general_turno_reg']);
		$variedad = mainModel::limpiar_cadena($_POST['general_variedad_reg']);
		$horario = mainModel::limpiar_cadena($_POST['general_horario_reg']);
		$dni_jefe_grupo = mainModel::limpiar_cadena($_POST['general_dni_jefe_grupo_reg']);
		$dato_jefe_grupo = mainModel::limpiar_cadena($_POST['general_dato_jefe_grupo_reg']);
		$dni_jefe_cuadrilla = mainModel::limpiar_cadena($_POST['general_dni_jefe_cuadrilla_reg']);
		$dato_jefe_cuadrilla = mainModel::limpiar_cadena($_POST['general_dato_jefe_cuadrilla_reg']);
		$dni_cosechador = mainModel::limpiar_cadena($_POST['general_dni_cosechador_reg']);
		$dato_cosechador = mainModel::limpiar_cadena($_POST['general_dato_cosechador_reg']);
		$kg_exportable = mainModel::limpiar_cadena($_POST['general_kg_exportable_reg']);
		$kg_descarte = mainModel::limpiar_cadena($_POST['general_kg_descarte_reg']);

		/* ===== Comprobar los campos vacios ==== */
		if($fecha == "" || $hora == "" || $lote == "" || $turno == "" || $variedad == "" || $horario == "" || $dni_jefe_grupo == "" || $dato_jefe_grupo == "" || $dni_jefe_grupo == "" || $dni_jefe_grupo == "" || $dni_jefe_cuadrilla == "" || $dato_jefe_cuadrilla == "" || $dni_cosechador == "" || $dato_cosechador == "" || $kg_exportable == "" || $kg_descarte == ""){
			$alerta=[
				"Alerta"=>"simple",
				"Titulo"=>"Ocurrio un error inesperado",
				"Texto"=>"Los CAMPOS REQUERIDOS estan vacios.",
				"Tipo"=>"error"
			];

			echo json_encode($alerta);
			exit();
		}

		/* ===== Enviamo los datos el modelo ==== */
		$datos_agregar_general = [
			"Fecha"=>$fecha,
			"Hora"=>$hora,
			"Lote"=>$lote,
			"Turno"=>$turno,
			"Variedad"=>$variedad,
			"Horario"=>$horario,
			"DNI_Jefe_Grupo"=>$dni_jefe_grupo,
			"Dato_Jefe_Grupo"=>$dato_jefe_grupo,
			"DNI_Jefe_Cuadrilla"=>$dni_jefe_cuadrilla,
			"Dato_Jefe_Cuadrilla"=>$dato_jefe_cuadrilla,
			"DNI_Cosechador"=>$dni_cosechador,
			"Dato_Cosechador"=>$dato_cosechador,
			"KG_Exportable"=>$kg_exportable,
			"KG_Descarte"=>$kg_descarte
		];
		$agregar_general=homeModelo::registrar_general_modelo($datos_agregar_general);
		if ($agregar_general->rowCount()==1) {
			$alerta=[
				"Alerta"=>"limpiar",
				"Titulo"=>"Trabajador Registrado",
				"Texto"=>"Los datos fueron importados con exito",
				"Tipo"=>"success"
			];
			echo json_encode($alerta);
			exit(); 
		}else{
			$alerta=[
				"Alerta"=>"simple",
				"Titulo"=>"Ocurrio un error inesperado",
				"Texto"=>"Ocurrio un error al importar los datos del archivo excel",
				"Tipo"=>"error"
			];

			echo json_encode($alerta);
			exit();		
		}
	}
}