<?php 

if ($peticionAjax) {
	require_once "../modelos/loginModelo.php";
}else{
	require_once "./modelos/loginModelo.php";
}

class loginControlador extends loginModelo{
	/*--------- controlador iniciar sesion -------*/
	public function iniciar_sesion_controlador(){
		$dni = mainModel::limpiar_cadena($_POST['login_dni_ini_reg']);
		$clave = mainModel::encryption($_POST['login_clave_ini_reg']);

		/*== comprobar los campos vacios ==*/
		if($dni=="" || $clave==""){
			$alerta=[
				"Alerta"=>"simple",
				"Titulo"=>"Ocurrio un error inesperado",
				"Texto"=>"Uno de los campos estan vacio, verificar.",
				"Tipo"=>"error"
			];

			echo json_encode($alerta);
			exit();	
		}

		//  hacemos cun consulta para  obtener la conraseña dle usuario
		$dato_suer = loginModelo::buscar_clave_modelo($dni);
		$user_id;
		if(count($dato_suer) > 0) {
			foreach ($dato_suer as $valor) {
			    $user_id = $valor['Clave'];
			}
		}else{
			$alerta=[
				"Alerta"=>"simple",
				"Titulo"=>"Ocurrio un error inesperado",
				"Texto"=>"No puede encontra contraseña del user, verifique los datos o falta registrarse",
				"Tipo"=>"error"
			];

			return json_encode($datos_cuenta);
			//exit();	
		}



		$datos_cuenta = loginModelo::iniciar_sesion_modelo($dni,$user_id);

		if(count($datos_cuenta) > 0) {
			session_start(['name'=>'SPM']);

			foreach($datos_cuenta AS $row){
				$_SESSION['id_spm']=$row['IdUsuario'];
				$_SESSION['idpersona_spm']=$row['IdPersona'];
				$_SESSION['usuario_spm']=$row['NOMBRE']." ".$row['APELLIDOS'];
				$_SESSION['nameuser_spm']=$row['Login'];
				$_SESSION['email_spm']=$row['Email'];
				$_SESSION['estado_spm']=$row['Estado'];
			}

			$_SESSION['token_spm']=md5(uniqid(mt_rand(),true));

			
			// url de redireccion.
			$alerta=[
				"Alerta"=>"redireccionar",
				"Titulo"=>"Inicio sesion Correctamente",
				"Texto"=>"Las credenciales ingresadas son Correctos",
				"Tipo"=>"success",
				"URL"=>SERVERURL."home/"
			];

			return json_encode($alerta);

		}else{
			$alerta=[
				"Alerta"=>"simple",
				"Titulo"=>"Ocurrio un error inesperado",
				"Texto"=>"No puede iniciar sesion, verifique los datos o falta registrarse",
				"Tipo"=>"error"
			];

			return json_encode($datos_cuenta);
			//exit();	
		}
	}

	/*--------- controlador forzar cierre de sesion - para que pueda acceder a laa vistas -------*/
	public  function forzar_cierre_sesion_controlador(){
		session_unset();
		session_destroy();
		// verificcamos si estamso enviando encbezados, para cerar session.
		if(headers_sent()){
			return "<script> window.location.href='".SERVERURL."login/';</script>";
		}else{
			return header("Location: ".SERVERURL."login/");
		}
	}

	/*--------- controlador cierre de sesion -------*/
	public  function cierre_sesion_controlador(){
		session_start(['name'=>'SPM']);
		$token = $_POST['user_token'];
		$dni = $_POST['user_codigo'];

		// comprobmaos is estaa avriables estan en inciar sesion
		if($token==$_SESSION['token_spm'] && $dni==$_SESSION['idpersona_spm']){
			session_unset();
			session_destroy();

			$alerta=[
				"Alerta"=>"redireccionar",
				"Titulo"=>"Hasta una proxima",
				"Texto"=>"Se cerro con exito la sesion del sistema.",
				"Tipo"=>"success",
				"URL"=>SERVERURL."login/"
			];

			return json_encode($alerta);
			exit();
		}else{
			$alerta=[
				"Alerta"=>"simple",
				"Titulo"=>"Ocurrio un error inesperado",
				"Texto"=>"No se pudo cerrar lo que es la sesion del sistema.",
				"Tipo"=>"error"
			];	
			return json_encode($alerta);
			exit();
		}
	}
}
