<script>
// cargar funciones menu para cmabair de color.
window.onload=function (){
   // Obtén la URL actual
   var currentUrl = window.location.pathname;

   // Selecciona todos los enlaces en el footer
   var links = document.querySelectorAll("#footer-bar a");

   // Itera sobre los enlaces y verifica si la URL coincide
   links.forEach(function(link) {
      // Obtén la URL del atributo href del enlace
      var linkUrl = new URL(link.href).pathname;

      // Compara la URL del enlace con la URL actual
      if (currentUrl === linkUrl) {
         // Si coincide, añade la clase 'active-nav'
         link.classList.add("active-nav");
      } else {
         // De lo contrario, elimina la clase 'active-nav'
         link.classList.remove("active-nav");
      }
   });

   // ocultamos el ESLADER
   document.getElementById('lodader_excel_data').style.display = 'none';
}

// para ver si tenemso archivo sleeccioando
document.getElementById('txt_archivo').addEventListener('change', function(event) {
     var input = event.target;
     var fileName = input.files.length > 0 ? input.files[0].name : "No hay archivo seleccionado";
     document.getElementById('file-name').textContent = fileName;
 });

// funcion para procesar los datos de XLX- EXCEL -  INICIO
let archivoCargado = null;  // Variable para almacenar el archivo cargado

function carga_dato_cosecha() {
    if (!archivoCargado) {
        Swal.fire({
             title: 'Error inesperado',
             text: 'No se cargo ningun archivo',
             type: 'error',
             confirmButtonText: 'Aceptar'
         })
    }

    var xl2json = new ExcelToJSON();
    xl2json.parseExcel(archivoCargado);
}

function procesar_archivo(evt) {
    archivoCargado = evt.target.files[0];  // Guardamos el archivo en la variable
    if (archivoCargado) {
        document.getElementById('file-name').textContent = archivoCargado.name;  // Mostramos el nombre del archivo
    }
}


var ExcelToJSON = function() {
    this.parseExcel = function(file) {
        var reader = new FileReader();

        reader.onload = function(e) {
            var data = e.target.result;
            var workbook = XLSX.read(data, {
                type: 'binary'
            });
            workbook.SheetNames.forEach(function(sheetName) {
                var XL_row_object = XLSX.utils.sheet_to_row_object_array(workbook.Sheets[sheetName]);
                var json_object = XL_row_object;
                registro_masivo(json_object);  // Procesa el JSON generado
            });
        };

        reader.readAsBinaryString(file);
    }
}

// Evento para capturar el archivo seleccionado
document.getElementById('txt_archivo').addEventListener('change', procesar_archivo);

// Evento para procesar los datos cuando se haga clic en el botón "PROCESAR"
document.getElementById('btn_procesar').addEventListener('click', carga_dato_cosecha);

function registro_masivo(json_object){
    var num_filas =json_object;
    
   if(num_filas.length != 0){
         let datos = new FormData();
         datos.append("cosecha_dato_reg",JSON.stringify(num_filas)); 

         document.getElementById('lodader_excel_data').style.display = 'block'; 

         // neviamos los datos
         fetch("<?php echo SERVERURL; ?>ajax/cosechadorAjax.php",{
            method: 'POST',
            body: datos
         })
         .then(respuesta => respuesta.json())
         .then(respuesta => {
            // mostramos los datos
            var DatosJson = respuesta;
            document.getElementById('lodader_excel_data').style.display = 'none'; 

            document.getElementById('txt_archivo').value = "";
            // Si no se limpia, clonar el input para vaciarlo
            $('#txt_archivo').val('');

            document.getElementById('file-name').textContent = "No hay archivo seleccionado";

            return alertas_ajax(respuesta);
   
         })
         .catch(error => {
            // Capturamos cualquier error al ahcer la consulta
            Swal.fire({
                title: 'Error en la respuesta',
                text: error.message,
                type: 'error',
                confirmButtonText: 'Aceptar'
            })
         })
   }else{
      Swal.fire({
        title: 'ocurrio un error',
        text: 'no tenemos ningun archivo cargado',
        type: 'error',
        confirmButtonText: 'Aceptar'
       });
   } 
   
}
// funcion para procesar los datos de XLX- EXCEL -  FIN




</script>